Skip to content

/api/v1/facilities/{facilityId}/topology/import

POST
/api/v1/facilities/{facilityId}/topology/import
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/topology/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "formatVersion": "example", "storageTree": [ { "nodeType": "Area", "code": "example", "name": "example", "children": [ "example" ], "locationAttributes": { "maxWeightKg": 1, "maxVolumeLiters": 1, "maxUnits": 1, "storageType": "Pallet", "temperatureClass": "Ambient", "purpose": "Storage" } } ], "equipmentGraph": { "nodes": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "nodeType": "Conveyor", "code": "example", "name": "example", "plcAddress": "example", "extendedAttributes": {}, "conveyorConfig": { "speedMetersPerSecond": 1, "direction": "example", "widthMillimeters": 1, "lengthMillimeters": 1 }, "divertConfig": { "divertAngleDegrees": 1, "numberOfOutputs": 1, "divertStrategy": "example" }, "scannerConfig": { "scannerType": "example", "readRatePerMinute": 1, "supportsMultiSide": true }, "inductionConfig": { "inductionRatePerHour": 1, "inductionMethod": "example" }, "gtpConfig": { "gtpSystemType": "example", "podCapacity": 1, "pickWindowSlots": 1 } } ], "edges": [ { "sourceEquipmentNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "targetEquipmentNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "label": "example" } ] }, "zoneProfiles": [ { "name": "example", "description": "example", "isActive": true, "zones": [ { "name": "example", "code": "example", "zoneType": "Storage", "locations": [ { "code": "example" } ] } ] } ] }'
facilityId
required
string format: uuid
mode
string
object
formatVersion
string
storageTree
Array<object>
nullable
object
nodeType
string
Allowed values: Area Aisle Bay Level Position
code
string
name
string
children
Array
nullable
locationAttributes
object
maxWeightKg
number format: double
nullable
maxVolumeLiters
number format: double
nullable
maxUnits
integer format: int32
nullable
storageType
string
nullable
Allowed values: Pallet Shelf Bin Floor Flow
temperatureClass
string
nullable
Allowed values: Ambient Chilled Frozen
purpose
string
nullable
Allowed values: Storage Dock Staging
equipmentGraph
object
nodes
Array<object>
nullable
object
id
string format: uuid
nodeType
string
Allowed values: Conveyor Divert Scanner Induction Transfer Merge Takeaway Gtp
code
string
name
string
plcAddress
string
nullable
extendedAttributes
object
conveyorConfig
object
speedMetersPerSecond
number format: double
direction
string
widthMillimeters
number format: double
lengthMillimeters
number format: double
divertConfig
object
divertAngleDegrees
number format: double
numberOfOutputs
integer format: int32
divertStrategy
string
scannerConfig
object
scannerType
string
readRatePerMinute
integer format: int32
supportsMultiSide
boolean
inductionConfig
object
inductionRatePerHour
integer format: int32
inductionMethod
string
gtpConfig
object
gtpSystemType
string
podCapacity
integer format: int32
pickWindowSlots
integer format: int32
edges
Array<object>
nullable
object
sourceEquipmentNodeId
string format: uuid
targetEquipmentNodeId
string format: uuid
label
string
nullable
zoneProfiles
Array<object>
nullable
object
name
string
description
string
nullable
isActive
boolean
zones
Array<object>
nullable
object
name
string
code
string
zoneType
string
Allowed values: Storage Functional Temperature Custom
locations
Array<object>
nullable
object
code
string

OK

object
mode
required
string
Allowed values: Additive Replace
storageNodesCreated
required
integer format: int32
locationsCreated
required
integer format: int32
equipmentNodesCreated
required
integer format: int32
equipmentEdgesCreated
required
integer format: int32
zoneProfilesCreated
required
integer format: int32
zonesCreated
required
integer format: int32
zoneMembershipsCreated
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable